## Apache Zeta Components Manual :: Docs For Class ezcWebdavLockAdministrator

### Webdav::ezcWebdavLockAdministrator

### Class ezcWebdavLockAdministrator

Administration class for the lock plugin.

An instance of this class might be used to administrate the Webdav lock plugin. It receives the ezcWebdavBackend to work on in the constructor. You should have the ezcWebdavServer already configured when you use an instance of this class, since it uses settings from ezcWebdavLockPluginOptions. In case the lock plugin is not configured in the server, a new (default) instance of it will be added before any administrative action and will be removed again afterwards. In addition, any authentication/authorization mechanism configured in the server will be de-activated before any administrative operation and is brought back into place afterward.

Source for this file: /Webdav/src/plugins/lock/administrator.php

Version: | //autogen//

### Method Summary

public ezcWebdavLockAdministrator | `__construct( $backend )` Creates a new lock purger.
public void | `purgeLocks( [ $path = '/'] )` Purges all outdated locks under $path.

### Methods

#### __construct

ezcWebdavLockAdministrator __construct( ezcWebdavBackend $backend )

Creates a new lock purger.

$backend must be the back end used in the Webdav environment. Note, that you should have the ezcWebdavServer configured, before you use the administrator class. Some actions will check for the lock plugin and use the options set for it. In case the lock plugin is not registered in the server, it will be registered before an action takes place and unregistered afterwards.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$backend` | ezcWebdavBackend |

#### purgeLocks

void purgeLocks( [string $path = '/'] )

Purges all outdated locks under $path.

This method analyses all locks under $path and purges the locks which have not been accessed for the timeout configured in the lock property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcWebdavLockPurgerException` | in case an error occurs during the lock purge process. Error might occur if the user identified by $adminCredentials does not have the appropriate permissions to write resources or if the backend is inconsistent.

Documentation generated by phpDocumentor 1.4.3